Bug 1467685 - [Docs][Admin] Cinder integration should be marked as Technology Preview in 4.0 and 4.1 documentation
[Docs][Admin] Cinder integration should be marked as Technology Preview in 4....
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.0.0
Unspecified Unspecified
high Severity high
: ovirt-4.1.4
: ---
Assigned To: Avital Pinnick
Emma Heftman
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 11:00 EDT by Javier Coscia
Modified: 2017-07-31 09:49 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 09:49:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Javier Coscia 2017-07-04 11:00:20 EDT
Description of problem:

According to BZ 1135132, cinder integration is still in tech-preview due to snapshot functionality isn't complete yet (BZ 1254470)

We need to clearly state that "OpenStack Volume (Cinder) for Storage Management" is still in tech-preview in 4.x docs.

I've found we mention it in Admin Guide, Chap 12. External providers and there's no mention about being tech-preview.
We might also want to add it under the Release Notes documentation too.
Comment 1 Lucy Bopf 2017-07-10 20:35:08 EDT
Yaniv, can you confirm that Cinder integration with RHV is tech preview in 4.0 and 4.1? The referenced bug calls it a 'known issue', so I'd like to make sure.
Comment 2 Yaniv Lavi 2017-07-12 07:12:27 EDT
(In reply to Lucy Bopf from comment #1)
> Yaniv, can you confirm that Cinder integration with RHV is tech preview in
> 4.0 and 4.1? The referenced bug calls it a 'known issue', so I'd like to
> make sure.

Yes, it is.
Comment 5 Lucy Bopf 2017-07-24 02:26:40 EDT
Assigning to Avital for review.

Avital, we need to add a Technology Preview notice to the 'OpenStack Volume (Cinder) for Storage Management'[1] and the 'Creating Floating Virtual Disks'[2] sections of the Administration Guide.

See https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/administration_guide/#Adding_OVN_as_an_External_Network_Provider for an example of our standard Technology Preview notice.


[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/administration_guide/sect-adding_external_providers#Adding_an_OpenStack_Volume_Cinder_Instance_for_Storage_Management
[2] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/administration_guide/#Creating_Unassociated_Virtual_Machine_Hard_Disks


(Note: If we don't hear back about other Tech Preview integration status before this task is complete, let's raise a new bug.)
Comment 8 Jason 2017-07-26 07:49:15 EDT
Yaniv,

Thank you for the confirmation, with that being said can we either remove the sections in the Admin Guides calling out the other OSP External Storage methods or notate them as such so we do not have sites attempting to use them and expect us to support them?

Thank you
Comment 9 Emma Heftman 2017-07-31 07:36:00 EDT
Verified and merged.

Note You need to log in before you can comment on or make changes to this bug.